
Foreman - Bug #4015

Cannot provisiong oVirt/RHEV VM from template with finish script

01/14/2014 05:31 PM - Jimmi Dyson

Status: Closed   

Priority: Normal   

Assignee: Jimmi Dyson   

Category: Compute resources - oVirt   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Provisioning a VM on oVirt/RHEV via a template requires a finish template to be run over SSH in order to configure the provisioned

VM. In order for Foreman to attempt to run the finish template over SSH, the compute resource needs to provide an :image

capability.

From app/models/concerns/orchestration/ssh_provision.rb:

def ssh_provision?

compute_attributes.present? && capabilities.include?(:image)

end

However, ovirt doesn't (app/models/compute_resources/foreman/model/ovirt.rb):

def capabilities

[:build]

end

This prevents us from building VMs in RHEV from a RHEV template, something we would much prefer to do over kickstarting every

time.

Related issues:

Related to Foreman - Feature #4422: Implement available_images for oVirt to p... Closed 02/24/2014

Associated revisions

Revision 99527500 - 02/24/2014 11:43 AM - Jimmi Dyson 

fixes #4015 - support oVirt using templates like images

History

#1 - 01/27/2014 10:38 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Jimmi Dyson

- Target version set to 1.9.2

https://github.com/theforeman/foreman/pull/1184

#2 - 02/06/2014 12:12 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#3 - 02/24/2014 11:45 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#4 - 02/24/2014 12:31 PM - Anonymous

- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/1184


- % Done changed from 0 to 100

Applied in changeset 99527500ba12e0217e853ec85c709e73337c84ee.

#5 - 02/24/2014 01:24 PM - Dominic Cleal

- Related to Feature #4422: Implement available_images for oVirt to populate new image form added
